Skip to main content
PATCH
Update a portal

Authorizations

Authorization
string
header
required

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id
integer
required

The numeric ID of the account

id
string
required

The slug identifier of the portal

Body

application/json
color
string

Header color for help-center in hex format

Example:

"#FFFFFF"

custom_domain
string

Custom domain to display help center.

Example:

"chatwoot.help"

header_text
string

Help center header

Example:

"Handbook"

link to main dashboard

Example:

"https://www.chatwoot.com/"

name
string

Name for the portal

Example:

"Handbook"

page_title
string

Page title for the portal

Example:

"Handbook"

slug
string

Slug for the portal to display in link

Example:

"handbook"

archived
boolean

Status to check if portal is live

Example:

false

config
object

Configuration about supporting locales

Example:

Response

Success

payload
object